#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-JM9QCNP1INWKrAoPjE8FRX
key:                  ghcide-2.0.0.0-JM9QCNP1INWKrAoPjE8FRX
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  4338b4883d5cde61869915c5b4fc550f
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-JM9QCNP1INWKrAoPjE8FRX
depends:
    Diff-0.4.1-JbQUqnXfeqaHNgX8BS5WU4
    Glob-0.10.2-5t0RvtmSvyZLyKqlQQxl7u
    aeson-2.1.2.1-GOr0sGsn8HVJzt9KhewtB0
    aeson-pretty-0.8.10-D5Th2sszhWWBt58oyBlAJB array-0.5.4.0
    async-2.2.5-mpdT7StXVF2mjqEUwF4MR base-4.17.2.1
    base16-bytestring-1.0.2.0-48ZRmm275Sv4uBxPoXHzXc binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-9695IAuXzI9BpRD3yNxY1D
    co-log-core-0.3.2.5-BBxR71ZeXPkCwhk5jW5feH containers-0.6.7
    cryptohash-sha1-0.11.101.0-56lWV5tMWYKKS1FSLHzS0m
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-EcIDQlUl5iK6rpkquDf3x6
    dependent-sum-0.7.2.0-Ha5Y4cAaI4L7OLDHbHXj6j directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-85C0kaTiQrp5QFLEF13CS4 exceptions-0.10.5
    extra-1.7.16-JJdQ9eFtkoVDmjYz0qVuVR filepath-1.4.2.2
    fingertree-0.1.5.0-7AymCggW5Ro3HnXV8O07GS
    focus-1.0.3.2-L0FqAzPnMfF4pWEQ5qPbMz ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-1VVH9a2WfEg2c31GuipZm8
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-HWlncQIPU4mEUdJs6ho9oF
    hashable-1.4.4.0-HA5jWeGkLE053htWZjUgjX
    hie-bios-0.12.0-KdDhfZboomQLqpWqY8TdmF
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-FunfiYAFbGcE437LgZ4bnz
    hls-graph-2.0.0.0-Dwoowae560dEfZKoVLM8Ap
    hls-plugin-api-2.0.0.0-9jtDVNQxl6AAbI62A2CMtD
    implicit-hie-0.1.2.7-4gE6pMT1PzFJ6TiCZ9BExn
    implicit-hie-cradle-0.5.0.1-Ipao8nGJQhk6dLCb7zTEGB
    lens-5.2.3-J1GK3I4tdtMEzlekK9vBY2
    list-t-1.0.5.5-Aq8MbcvD9jVKg9VZhvPKXw
    lsp-1.6.0.0-LaIZzQ4nrlw5ebiwaBE0Bs
    lsp-types-1.6.0.1-5oG3OnaDqIm5TjDxKwHdcx mtl-2.2.2
    opentelemetry-0.8.0-6dgFwyDijpyIVHL0MZULgG
    optparse-applicative-0.17.1.0-CKO7Hv5HIMoIThZFruc57S
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-2SyS45w2YIjHD6NDr8Zx1B
    prettyprinter-ansi-terminal-1.1.3-1dwjtSDumlJADFnP6ZWFZ
    random-1.2.1.2-6Lko0US7c1TJAwLQn9MTsf
    regex-tdfa-1.3.2.4-DyGMbh1NpFc9rSkmhAEdJe
    safe-exceptions-0.1.7.4-ESqtnzUntAXHAGbxgXxrOZ
    sorted-list-0.2.3.1-KyIWzOPkddAK5bLEO3YzUZ
    sqlite-simple-0.4.19.0-ImnXHsZpAB6ANTeQ32UMyn stm-2.5.1.0
    stm-containers-1.2.1.1-3Rb9gmoNg2FFTWVCRL0Hh
    syb-0.7.2.4-HJAbU0lurQkHN7nU4EHwhb text-2.0.2
    text-rope-0.3-I35YyEChVr0GK96OHDAWQF time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-1uYB5ruuxlB51GjsaBkLd
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-Jl6TkouWI2i1D1jczNV0uv
    vector-0.13.2.0-F0gUvA5SUIr11j4RVHYOTP

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

